- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | List of all members
qi::LogListener Class Referenceabstract

`#include <loglistener.hpp>`

## Public Member Functions
virtual | ~LogListener ()=default
virtual void | setLevel (qi::LogLevel level)=0
virtual void | addFilter (const std::string &filter, qi::LogLevel level)=0
virtual void | clearFilters ()=0
| Remove all filters set by addFilter. More...

## Public Attributes
PropertyType< qi::LogLevel > | logLevel
qi::Signal< qi::LogMessage > | onLogMessage
qi::Signal< std::vector < qi::LogMessage > > | onLogMessages
qi::Signal< std::vector < qi::LogMessage > > | onLogMessagesWithBacklog

## Protected Types
template<class... T>
using | PropertyType = qi::UnsafeProperty< T...>

## Protected Member Functions
| LogListener ()=default
| LogListener (PropertyType< qi::LogLevel >::Getter get, PropertyType< qi::LogLevel >::Setter set, boost::function< Future< void >(bool)> func={})

## Detailed Description

Definition at line 26 of file loglistener.hpp.

## Member Typedef Documentation

template<class... T>

using qi::LogListener::PropertyType = qi::UnsafeProperty<T...>
| protected

Definition at line 30 of file loglistener.hpp.

## Constructor & Destructor Documentation

qi::LogListener::LogListener | ( |  | ) |
| protected default

qi::LogListener::LogListener | ( | PropertyType< qi::LogLevel >::Getter | get,
|  | PropertyType< qi::LogLevel >::Setter | set,
|  | boost::function< Future< void >(bool)> | func = `{}`
| ) |  |
| inline protected

Definition at line 33 of file loglistener.hpp.

virtual qi::LogListener::~LogListener | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void qi::LogListener::addFilter | ( | const std::string & | filter,
|  | qi::LogLevel | level
| ) |  |
| pure virtual

virtual void qi::LogListener::clearFilters | ( |  | ) |
| pure virtual

Remove all filters set by addFilter.

virtual void qi::LogListener::setLevel | ( | qi::LogLevel | level | ) |
| pure virtual

## Member Data Documentation

PropertyType<qi::LogLevel> qi::LogListener::logLevel

Definition at line 51 of file loglistener.hpp.

qi::Signal<qi::LogMessage> qi::LogListener::onLogMessage

Definition at line 52 of file loglistener.hpp.

qi::Signal<std::vector<qi::LogMessage> > qi::LogListener::onLogMessages

Definition at line 53 of file loglistener.hpp.

qi::Signal<std::vector<qi::LogMessage> > qi::LogListener::onLogMessagesWithBacklog

Definition at line 54 of file loglistener.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqicore/libqicore/qicore/loglistener.hpp